using System;
using System.IO;

namespace Sample
{
    class Sample
    {
        static void Main(string[] args)
        {
            //Convert Excel byte stream to PDF byte stream
            SautinSoft.ExcelToPdf x = new SautinSoft.ExcelToPdf();

            byte[] excelWorkBook = null;
            ReadFromFile(@"..\..\..\..\..\test.xls", ref excelWorkBook);

            byte[] pdf = null;
            x.ConvertBytes(excelWorkBook, ref pdf);

            //Save PDF data to file and show PDF
            if (pdf != null)
            {
                string pdfPath = @"..\..\..\..\..\test.pdf";
                WriteToFile(pdfPath, pdf);
                System.Diagnostics.Process.Start(pdfPath);
            }
        }
        public static int ReadFromFile(string fileName, ref byte[] arByte)
        {
            try
            {
                FileStream fi = new FileStream(fileName, FileMode.Open, FileAccess.Read, FileShare.Read);
                arByte = new byte[fi.Length];
                fi.Read(arByte, 0, (int)fi.Length);
                fi.Close();
            }
            catch
            {
                return 1;
            }
            return 0;
        }
        public static int WriteToFile(string fileName, byte[] arByte)
        {
            try
            {
                if (arByte == null)
                    return 1;
                File.Delete(fileName);
                FileStream pdfFile = File.OpenWrite(fileName);
                pdfFile.Write(arByte, 0, arByte.Length);
                pdfFile.Close();
            }
            catch
            {
                return 2;
            }
            return 0;
        }
    }
}
