using System;
using System.IO;

namespace Sample
{
    class Sample
    {
        static void Main(string[] args)
        {
            //Set page margins
            SautinSoft.ExcelToPdf x = new SautinSoft.ExcelToPdf();

            //Set PDF format for output document
            x.OutputFormat = SautinSoft.ExcelToPdf.eOutputFormat.Pdf;

            //Set page margins for produced PDF
            x.PageStyle.PageMarginTop.mm(15f);
            x.PageStyle.PageMarginBottom.mm(15f);
            x.PageStyle.PageMarginLeft.mm(20f);
            x.PageStyle.PageMarginRight.mm(20f);


            string excelPath = @"..\..\..\..\..\test.xls";
            string pdfPath = @"..\..\..\..\..\test.pdf";

            if (x.ConvertFile(excelPath, pdfPath)==0)
            {
                System.Diagnostics.Process.Start(pdfPath);
            }
        }
    }
}
